import request from '@/utils/request'

// 查询通告浏览量列表
export function listView(query) {
  return request({
    url: '/busi/view/list',
    method: 'get',
    params: query
  })
}

// 查询通告浏览量详细
export function getView(id) {
  return request({
    url: '/busi/view/' + id,
    method: 'get'
  })
}

// 新增通告浏览量
export function addView(data) {
  return request({
    url: '/busi/view',
    method: 'post',
    data: data
  })
}

// 修改通告浏览量
export function updateView(data) {
  return request({
    url: '/busi/view',
    method: 'put',
    data: data
  })
}

// 删除通告浏览量
export function delView(id) {
  return request({
    url: '/busi/view/' + id,
    method: 'delete'
  })
}
